
enum HeaderFile: String {

    case codeHightlighting = "highlight.min.js"
    
    case modelViewer = "model-viewer.min.js"

    case audioPlayerCss = "audio-player.css"

    case amplitude = "amplitude.min.js"

    var asModule: Bool {
        switch self {
        case .codeHightlighting: return false
        case .modelViewer: return true
        case .amplitude: return false
        case .audioPlayerCss: return false
        }
    }
}

typealias RequiredHeaders = Set<HeaderFile>
